
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>模拟提交有文件上传的表单(通过http模拟上传文件) / iVAN</title>

    <meta name="description" content="模拟提交有文件上传的表单(通过http模拟上传文件) 通过HTTP模拟GET或POST请求,提交数据到服务端获取响应,比较常见些:但如上传文件到服务端,使用html form当然简单了,而因环境所限有时需要使用模拟方法去提交有附件(文件上传)的表单.我们暂且不说如何去模拟数据,通过一个简单的form看看当请求发生时,客户端提交了什么样的数据给服务端.   下面是一个简单的html form,两个文本输入框,一个文件上传(这里我选择一张图片),注意有文件上传的form的enctype属性. html form 1 &lt;form action=&q ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">模拟提交有文件上传的表单(通过http模拟上传文件)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>通过HTTP模拟GET或POST请求，提交数据到服务端获取响应，比较常见些；但如上传文件到服务端，使用html form当然简单了，而因环境所限有时需要使用模拟方法去提交有附件(文件上传)的表单。我们暂且不说如何去模拟数据，通过一个简单的form看看当请求发生时，客户端提交了什么样的数据给服务端。</p>
<p> </p>
<p>下面是一个简单的html form，两个文本输入框，一个文件上传(这里我选择一张图片)，注意有文件上传的form的enctype属性。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg">html form</p>
<p>1 &lt;form action="sql.aspx" method="post" enctype="multipart/form-data"&gt;<br />2 &lt;input id="Text1" name="content" type="text"/&gt;&lt;br /&gt;<br />3 &lt;input id="Text2" name="uploadImg" type="text"/&gt;&lt;br /&gt;<br />4 &lt;input id="File1" type="file" name="image0"/&gt;&lt;br /&gt;<br />5 &lt;input id="Submit1" type="submit" value="submit"/&gt;<br />6  &lt;/form&gt;</p>
<p> </p>
<p>为了查看表单提交时，向服务端post了什么数据，这里我使用Fiddler来查看。Fiddler确实是个不错的工具，注意当url主机地址是localhost时Fiddler捕获不到，需要再localhost后加一点(.)即可，打开Fiddler，浏览带上面form的page，输入数据提交，此时在Fiddler中可看到post的数据了。下面是一部份数据的截图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19jNWIyZjljOTcwZDY0MzAzNDg2YTljMzA2NGJkMzRkNC5qcGc=.jpg"></p>
<p> </p>
<p>分析其中的数据不难得出，一个表单中的数据域(input type="text")对应的格式为</p>
<p>-----------------------------7da119c1004a6<br />Content-Disposition: form-data; name="content"</p>
<p>this is a txt value</p>
<p>一个文件(input type="file")对应的格式为(通常为表单最后一个参数)</p>
<p>-----------------------------7da119c1004a6<br />Content-Disposition: form-data; name="image0"; filename="E:\CAI\875.jpg"<br />Content-Type: image/pjpeg</p>
<pre>[文件内容]</pre>
<p>结尾处是-----------------------------7da119c1004a6--</p>
<p> </p>
<p>有了上面的数据做参考，按照其格式组织数据，post到服务端，同样可以达到html form提交的效果。要特别注意其格式：如回车换行，差一个都可能得不到正确的响应，还有请求的Content-Length一定计算对。下面是一个参考：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg">代码</p>
<p>publicstring POSTfile(string v1,string v2, string file)<br /> {<br />string boundary ="---------------------------"+ DateTime.Now.Ticks.ToString("x");</p>
<p>//请求<br /> WebRequest req = WebRequest.Create(@"http://localhost.:4944/WebSite1/getfile.aspx");<br /> req.Method ="POST";<br /> req.ContentType ="multipart/form-data; boundary="+ boundary;</p>
<p>//组织表单数据<br /> StringBuilder sb =new StringBuilder();<br /> sb.Append("--"+ boundary);<br /> sb.Append("\r\n");<br /> sb.Append("Content-Disposition: form-data; name=\"content\"");<br /> sb.Append("\r\n\r\n");<br /> sb.Append(v1);<br /> sb.Append("\r\n");</p>
<p>sb.Append("--"+ boundary);<br /> sb.Append("\r\n");<br /> sb.Append("Content-Disposition: form-data; name=\"uploadImg\"");<br /> sb.Append("\r\n\r\n");<br /> sb.Append("v2");<br /> sb.Append("\r\n");</p>
<p>sb.Append("--"+ boundary);<br /> sb.Append("\r\n");<br /> sb.Append("Content-Disposition: form-data; name=\"image0\"; filename=\"e:\\a.jpg\"");<br /> sb.Append("\r\n");<br /> sb.Append("Content-Type: image/pjpeg");<br /> sb.Append("\r\n\r\n");</p>
<p>string head = sb.ToString();<br />byte[] form_data = Encoding.UTF8.GetBytes(head);<br />//结尾<br />byte[] foot_data = Encoding.UTF8.GetBytes("\r\n--"+ boundary +"--\r\n");</p>
<p>//文件<br /> FileStream fileStream =new FileStream(file, FileMode.Open, FileAccess.Read);<br />//post总长度<br />long length = form_data.Length + fileStream.Length + foot_data.Length;<br /> req.ContentLength = length;</p>
<p>Stream requestStream = req.GetRequestStream();<br />//发送表单参数<br /> requestStream.Write(form_data, 0, form_data.Length);<br />//文件内容<br />byte[] buffer =new Byte[checked((uint)Math.Min(4096, (int)fileStream.Length))];<br />int bytesRead =0;<br />while ((bytesRead = fileStream.Read(buffer, 0, buffer.Length)) !=0)<br /> requestStream.Write(buffer, 0, bytesRead);<br />//结尾<br /> requestStream.Write(foot_data, 0, foot_data.Length);<br /> requestStream.Close();</p>
<p>//响应<br /> WebResponse pos = req.GetResponse();<br /> StreamReader sr =new StreamReader(pos.GetResponseStream(), Encoding.UTF8);<br />string html = sr.ReadToEnd().Trim();<br /> sr.Close();<br />if (pos !=null)<br /> {<br /> pos.Close();<br /> pos =null;<br /> }<br />if (req !=null)<br /> {<br /> req =null;<br /> }<br />return html;<br /> }</p>
<p>  </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 11:53:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/pos/" title="pos">pos</a>, <a href="https://www.iamivan.net/tag/input/" title="input">input</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/form/" title="form">form</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/image/" title="image">image</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>模拟提交有文件上传的表单(通过http模拟上传文件)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Ndwjp.html" rel="bookmark">asp&period;net 模拟提交有文件上传的表单&lpar;通过http模拟上传文件&rpar;&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们暂且不说如何去模拟数据,通过一个简单的form看看当请求发生时,客户端提交了什么样的数据给服务端. 下面是一个简单的html form,两个文本输入框,一个文件上传(这里我选择一张图片),注意有文件上传的form的enctype属性. 复制代码 代码如下: &lt;form action=&quot;sql.aspx&quot; method=&quot;post&quot; enctype=&quot;multipart/form-data&quot;&gt; &lt;input id=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgw8G1M.html" rel="bookmark">Ajax方式提交带文件上传的表单及隐藏iframe应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般的表单都是通过ajax方式提交,所以碰到带文件上传的表单就比较麻烦.基本原理就是在页面增加一个隐藏iframe,然后通过ajax提交除文件之外的表单数据,在表单数据提交成功之后的回调函数中,通过form单独提交文件,而这个提交文件的form的target就指向前述隐藏的iframe. html 代码 复制代码 代码如下: &lt;html&gt; &lt;body&gt; &lt;form action=&quot;upload.jsp&quot; id=&quot;form1&quot; name=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2mEqz.html" rel="bookmark">Ajax方式提交带文件上传的表单及隐藏iframe应用&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般的表单都是通过ajax方式提交,所以碰到带文件上传的表单就比较麻烦.基本原理就是在页面增加一个隐藏iframe,然后通过ajax提交除文件之外的表单数据,在表单数据提交成功之后的回调函数中,通过form单独提交文件,而这个提交文件的form的target就指向前述隐藏的iframe. html 代码 复制代码 代码如下: &lt;html&gt; &lt;body&gt; &lt;form action=&quot;upload.jsp&quot; id=&quot;form1&quot; name=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNWYZM.html" rel="bookmark">js动态创建上传表单通过iframe模拟Ajax无刷新的具体实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了js动态创建上传表单通过iframe模拟Ajax无刷新的具体实现,需要的朋友可以参考下  代码如下: &lt;script&gt;  window.onload=function(){  upfile('file.php');  }      /*  ** url 路径  **/  function upfile(url){  //创建iframe  var iframe = document.createElement(&quot;iframe&quot;);  document.b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0xN0b.html" rel="bookmark">jquery Ajax serialize&lpar;&rpar;表单进行序列化方式上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过Ajax serialize()表单进行序列化方式上传文件,使用FormData进行Ajax请求 通过传统的form表单提交的方式上传文件:  代码如下 复制代码 &lt;form id= &quot;uploadForm&quot; action= /cfJAX_RS/rest/file/upload&quot; method= &quot;post&quot; enctype =&quot;multipart/form-data&quot;&gt;       &lt;h1 &gt;测试通过Res			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmYk7Bp.html" rel="bookmark">Ajax serialize&lpar;&rpar; 表单进行序列化方式上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过传统的 form 表单提交的方式上传文件 &lt;form id=&quot;uploadForm&quot; action=&quot;&quot; method=&quot;post&quot; enctype=&quot;multipart/form-data&quot;&gt; &lt;p&gt;上传文件:&lt;input type =&quot;file&quot; name=&quot;file&quot;/&gt;&lt;/p&gt; &lt;input type=&quot;subm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxErVOp.html" rel="bookmark">美图秀秀web开放平台--PHP流式上传和表单上传示例分享&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话少说,直接上代码: &lt;?php /** * Note:for octet-stream upload * 这个是流式上传PHP文件 * Please be amended accordingly based on the actual situation */ $post_input = 'php://input'; $save_path = dirname(__FILE__); $postdata = file_get_contents($post_input); if (isset($p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKZPDb.html" rel="bookmark">前端-jersey框架下上传form表单出错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jersey框架下上传form表单出错 前端form &lt;form id=&quot;picForm&quot; action=&quot;/intelligentStage-system-manage/rest/admin/addimage&quot; method=&quot;post&quot; enctype=&quot;multipart/form-data&quot;&gt; &lt;label style=&quot;margin-top: 30px;&quot;&gt;用户名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmK5Q1b.html" rel="bookmark">java-ajax提交带有file标签的form表单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ajax提交带有file标签的form表单 struts2中中有一个的标签,直接提交可以把文件名.等参数提交到后台.现在的问题的是有一个树形的文件列表界面,根节点是文件夹,子节点是文件,选中文件夹那一行然后点击右键会有个上传文件的菜单项,那么怎么将选中的那一行的属性和标签的文件名等属性一起提交到后台.有点啰嗦,不知道描述清楚了没有,求指点,感激不尽. 解决方案 将节点的信息放到表单hidden控件中,给表单指定target提交到隐藏iframe来实现文件上传,或者用jquery.for			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boljMv.html" rel="bookmark" class="title">C&plus;&plus; Builder调用Matlab</a>
					<div>
						Borland C++Builder是一种新颖的可视化编程语言.在工程应用中,我们一般用C++Builder语言编写应用程序,实现交互界面.数据采集和端口操作等,但C++Builder在数值处理分析和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEKaop.html" rel="bookmark" class="title">ps怎么把白色背景变透明</a>
					<div>
						  PS中想把白色变成透明色是一件很简单的事情,一般的处理方法是用魔棒工具把大范围的白色选中再删除就好.但是如果图片中的白色不是在一起的话这个方法就显得不那么好用了.下面小编就为大家带来一种新的方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZBrOz.html" rel="bookmark" class="title">Photoshop笔刷制作照片特效教程</a>
					<div>
						古代有一种方法处理密文,火烤一下就能显现出来,效果很独特.今天我们用Photoshop做一个特效处理,让照片不仅能做出这个效果,还可以进一步做出笔刷刷出来的纹理感觉.一起看看吧! 处理前后对比图 处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOOq3z.html" rel="bookmark" class="title">Crystal 10 家族官方产品文档资源</a>
					<div>
						网站上的产品文档 使用此页中的链接下载 Crystal 产品所附带文档的最新版本.或者使用高级搜索按产品.版本或语言在所有发布的内容中搜索.http://support.businessobjects ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB98vb.html" rel="bookmark" class="title">Symbian学习笔记&lpar;15&rpar;</a>
					<div>
						今天想分享的是如何在Symbian平台上解析XML文件,不需要第三方的东西,Symbian已经为我们提供了这个类CParser. 网上也有这方面的资料,建议参考: http://wiki.forum. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2P3yM.html" rel="bookmark" class="title">别墅变成鬼屋效果制作教程</a>
					<div>
						别墅变成鬼屋效果制作教程 最终效果 原图 1.首先找一张高分辨率的图片,这张屋子的照片是我从网上找到的,你可以找一张自己喜欢的. 2． 第一步,将房屋从图片中抠出来并把它单独放在一层,用橡皮擦掉剩余的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AJ6Dp.html" rel="bookmark" class="title">PowerPoint怎么插入公式</a>
					<div>
						  解决方法:在需要插入公式的幻灯片中,执行&quot;插入→对象&quot;命令,打开&quot;插入对象&quot;对话框,在&quot;对象类型&quot;下面选中&quot;Microsoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6RG1b.html" rel="bookmark" class="title">JavaScript中的立即执行函数表达式介绍</a>
					<div>
						 这篇文章主要介绍了JavaScript中的立即执行函数表达式介绍,本文着重讲解了什么是立即调用函数表达式,需要的朋友可以参考下     我们习惯看到这样的匿名函数 代码如下: (function() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24V0qp.html" rel="bookmark" class="title">在Word2007文档中旋转剪贴画</a>
					<div>
						  对于Word2007文档中的剪贴画,用户可以根据实际需要对选中的剪贴画进行旋转.在Word2007文档中旋转剪贴画的方法有三种,一种是使用旋转手柄,一种是应用Word2007预设的旋转效果,另外一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72ojKp.html" rel="bookmark" class="title">硬盘中ECC技术是什么</a>
					<div>
						  ECC内存即纠错内存,简单的说,其具有发现错误,纠正错误的功能,一般多应用在高档台式电脑/服务器及图形工作站上,这将使整个电脑系统在工作时更趋于安全稳定. 定义 ECC校验是一种内存纠错原理,它是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW9a9p.html" rel="bookmark" class="title">解决怪异的照片时间问题</a>
					<div>
						  我们知道,从照片右键菜单&quot;属性&quot;命令中看到的照片文件的时间信息有&quot;创建时间&quot;.&quot;修改时间&quot;和&quot;访问时间&quot;三种(图1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Wevb.html" rel="bookmark" class="title">设置AUTOTRACE是出现SP2-0611和ORA-942错误。</a>
					<div>
						yang@rac1&gt;conn system/yang as sysdba 已连接. sys@rac1&gt;conn bi/yang 已连接. bi@rac1&gt;set autot trac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw8gwp.html" rel="bookmark" class="title">tomcat启动闪退！！！！！！</a>
					<div>
						问题描述 tomcat启动闪退!!!!!! CLASSPATH=.;%JAVA_HOME%libdt.jar;%JAVA_HOME%libtools.jar;JAVA_HOME=C:Program F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ9xnp.html" rel="bookmark" class="title">c语言-【C语言】用scanf赋值给带指针的字符串</a>
					<div>
						问题描述 [C语言]用scanf赋值给带指针的字符串 我希望是输入几个单词之后,这几个单词成为一个字符串,但是变异之后仍然有问题. #include&lt;stdio.h&gt; #include&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwvJKM.html" rel="bookmark" class="title">微软明年将停止支持 WP8，用户该怎么办？</a>
					<div>
						据国外媒体报道,微软在其网站上宣布将于2014年7月和9月分别停止对Windows Phone 8和Windows Phone 7.8的技术支持. 日前,微软在其网站上发布了这个消息,该公司将于201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR6Axb.html" rel="bookmark" class="title">datatable 转list&amp;amp&semi;amp&semi;lt&semi;T&amp;amp&semi;amp&semi;gt&semi; 如何绑定到repeater</a>
					<div>
						问题描述 publicIList&lt;user&gt;ExecuteIList(stringstrSQL){IList&lt;user&gt;myTable=newList&lt;user&gt;( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR81xb.html" rel="bookmark" class="title">新手站长们 你的网站做SEO着急了吗</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新手站长们建站,会有哪些问题和细节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwOV3M.html" rel="bookmark" class="title">编写高质量代码改善C&num;程序的157个建议&lbrack;10-12&rsqb;</a>
					<div>
						原文:编写高质量代码改善C#程序的157个建议[10-12] 前言 本文已更新至http://www.cnblogs.com/aehyok/p/3624579.html .本文主要学习记录以下内容:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7NqVb.html" rel="bookmark" class="title">GO语言常用的文件读取方式&lowbar;Golang</a>
					<div>
						本文实例讲述了GO语言常用的文件读取方式.分享给大家供大家参考.具体分析如下: Golang 的文件读取方法很多,刚上手时不知道怎么选择,所以贴在此处便后速查. 一次性读取 小文件推荐一次性读取,这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QRn6p.html" rel="bookmark" class="title">九种防MDB数据库被下载的方法小结&lowbar;ASP基础</a>
					<div>
						1.发挥你的想象力 修改数据库文件名  但是若攻击者通过第三方途径获得了数据库的路径,就可以下载数据库.故保密性为最低.  2.数据库名后缀改为ASA.ASP等 此法须配合一些要进行一些设置,否则就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYyQZb.html" rel="bookmark" class="title">js prototype截取字符串函数&lowbar;javascript技巧</a>
					<div>
						prototype它是用Javascript写好的一些API,包括对Javascript中的类如String,Array等进行的扩充,把JS文件嵌入后直接用就行了. 复制代码 代码如下: String ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G7AWp.html" rel="bookmark" class="title">javascript实现省市区三级联动下拉框菜单&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了javascript实现省市区三级联动下拉框菜单代码.分享给大家供大家参考.具体如下: 运行效果截图如下:   首先写一个静态的页面: &lt;!DOCTYPE html&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY5mJb.html" rel="bookmark" class="title">互联网人出游必备清单</a>
					<div>
						一.旅行箱或双肩背包(加上一个轻便小包). 根据你出门的远近可以分为:装衣物的大箱子,带锁的旅行箱和旅游时的轻便背包.如果是打算几个月在路上,那就准备双肩包吧.最好是有背负系统的专业包.除了装所有行李 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKQKEz.html" rel="bookmark" class="title">布林大战帕金森症基因</a>
					<div>
						谷歌联合创始人谢尔盖·布林(Sergey Brin)(图片来源:连线网站) 用俗话说,布林更倾向于抛弃几百年来的科学知识论,而是采用了谷歌式的方法,找出了相应的应对之道.这对于布林来说,资金上是充裕的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKvZOz.html" rel="bookmark" class="title">Linux下JProfiler 9安装部署及使用</a>
					<div>
						JProfiler[1] 是一个商业授权的Java剖析工具,由EJ技术有限公司,针对的Java EE和Java SE应用程序开发的.它把CPU.执行绪和内存的剖析组合在一个强大的应用中.JProfil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4GKrb.html" rel="bookmark" class="title">asp&period;net ajax下导出excel的解决办法</a>
					<div>
						c#代码: protected void page_load(object sender, eventargs e) {         postbacktrigger trigger = new p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgWWPAM.html" rel="bookmark" class="title">PHP chmod 函数与批量修改文件目录权限&lowbar;php基础</a>
					<div>
						语法 chmod(file,mode)参数 描述 file 必需.规定要检查的文件. mode 可选.规定新的权限. mode 参数由 4 个数字组成: 第一个数字永远是 0 第二个数字规定所有者的权 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXNxLWb.html" rel="bookmark" class="title">JBoss 资源依赖配置问题</a>
					<div>
						问题描述 现在有2个ear, A.ear和B.ear. 其中A.ear包含A.war和ejb.jar, B.ear包含B.warA.war和B.war都依赖ejb.jar中的一个EJB.对A的情况,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNOJ94p.html" rel="bookmark" class="title">wpf 地图图标控件</a>
					<div>
						问题描述 各位大侠:请问有哪位搞过wpf地图缩放时的图钉控件没,此控件需要可响应事件,可拖动,随地图的缩放相对位置不变,大小不变,地图为自己的图片,急急急,谢谢 解决方案 解决方案二:没弄过,帮顶.解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgW0V6M.html" rel="bookmark" class="title">gdb篇</a>
					<div>
						转自:http://www.cnblogs.com/ypchenry/p/3668572.html 1.gdb的原理 熟悉linux的同学面试官会问你用过gdb么?那好用过,知道gdb是怎么工作的么? ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
